var groups = opener.groups;
var result = window.arguments[0];

function InitPostOptions() {
	// This is to stick the moods in a drop down menu. From Livelizard.
	var mood;
	var mood_menulist = document.getElementById("moods");
	mood_menulist.removeChild(mood_menulist.firstChild);
	mood_menulist.appendChild(document.createElement("menupopup"));
	for (i = 0; i < opener.result.moods.length; i++) {
		mood = opener.result.moods[i];
		mood_menulist.appendItem(mood.name, mood.id);
	}
	// For picture keywords.
	var pickw;
	var pickw_menulist = document.getElementById("picture");
	pickw_menulist.appendChild(document.createElement("menupopup"));
	for (i = 0; i < opener.result.pickw.length; i++) {
		pickw = opener.result.pickw[i];
		pickw_menulist.appendItem(pickw.keyword, pickw.keyword);
	}
	// Remember the setting in case the post options window has just been opened and closed within the same entry.
	if (opener.pickw) {
		pickw_menulist.selectedIndex = opener.FindIndex(pickw_menulist.childNodes[0],"label",opener.pickw);
	}
	if (opener.document.getElementById("music").value) {document.getElementById("music").value = opener.document.getElementById("music").value; }
	if (parseInt(opener.mood) > 0) {
		document.getElementById("moods").selectedIndex = opener.moodmenuindex;
	} else if (typeof(opener.mood) == "string") {
		document.getElementById("moods").label = opener.mood;
	}
	document.getElementById("security").selectedIndex = opener.FindIndex(document.getElementById("security").childNodes[0],"value",opener.security);
	document.getElementById("dontautoformat").checked = opener.dontautoformat;
	document.getElementById("removecomment").checked = opener.removecomment;
	document.getElementById("backdate").checked = opener.backdate;
}

function OkClicked() {
	if (document.getElementById("defaults").checked) {
		SetPostDefaults();
	}
	opener.document.getElementById("music").value = document.getElementById("music").value;

	// Figure out if a mood ID has been chosen or a custom mood has been entered.
	if ( (document.getElementById("moods").selectedIndex < 0) && (document.getElementById("moods").label.length > 0) ) {
		opener.mood = document.getElementById("moods").label;
	} else if (document.getElementById("moods").selectedIndex > -1) {
		opener.moodmenuindex = document.getElementById("moods").selectedIndex;
		opener.mood = parseInt(opener.result.moods[opener.moodmenuindex].id);
	} else {
		opener.mood = null;
	}

	if (opener.name != "editentry") {
		if ((typeof(opener.mood) == "number") && (opener.mood > 0)) {
			opener.document.getElementById("moods").selectedIndex = document.getElementById("moods").selectedIndex;
		} else {
			opener.document.getElementById("moods").label = document.getElementById("moods").label;
		}
		opener.document.getElementById("security").selectedIndex = document.getElementById("security").selectedIndex;
	}
	opener.security = document.getElementById("security").value;
	if (document.getElementById("security").value == "friends") { groups = 1; }
	opener.groups = groups;

	//Fixes br's and newlines when changing between auto-format and don't auto-format
	if (opener.dontautoformat != document.getElementById("dontautoformat").checked) {
		//Always use Source tab since it is simpler to work with for this and is sync'd prior to Post Options opening
		var text = opener.document.getElementById("messagesource").value;
		if (opener.dontautoformat == false) { //changing to auto-format
			text = text.replace(/(\r)?\n/gi,"<br />\n");
			opener.document.getElementById("messagesource").value = text;
		} else {
			text = text.replace(/<br[^>]*>(\n)?/gi,"\n");
			opener.document.getElementById("messagesource").value = text;
		}
	}

	opener.dontautoformat = document.getElementById("dontautoformat").checked;
	opener.removecomment = document.getElementById("removecomment").checked;
	opener.backdate = document.getElementById("backdate").checked;
	
	// Find the picture keyword, and change the icon on the post entry box.
	if (opener.document.getElementById("userpic")) {
			opener.document.getElementById("picture").selectedIndex = document.getElementById("picture").selectedIndex;
			opener.SetPic();
	} else { 
		if (document.getElementById("picture").selectedIndex == 0) {
			opener.pickw = "";
		} else {
			opener.pickw = document.getElementById("picture").label;
		}
	}
	

	//opener.document.getElementById("message").contentWindow.focus();
	window.close();
}


function SetPostDefaults() {
	// If the Set As Defaults button has been clicked.
	getPrefDS().SetBoolPref("deepestSender.DontAutoFormat", document.getElementById("dontautoformat").checked);
	getPrefDS().SetBoolPref("deepestSender.RemoveComment", document.getElementById("removecomment").checked);
	getPrefDS().SetBoolPref("deepestSender.BackDate", document.getElementById("backdate").checked);
	getPrefDS().SetCharPref("deepestSender.Security", document.getElementById("security").value);
	getPrefDS().SetIntPref("deepestSender.FriendsGroups", groups);
}

